cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/:key_id/comments/:comment_id/replies/:id/mark_as_read" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"branch":"my-feature-branch"}' \
-H 'Content-Type: application/json'phrase replies mark_as_read \
--project_id <project_id> \
--key_id <key_id> \
--comment_id <comment_id> \
--id <id> \
--data '{"branch":"my-feature-branch"]}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments/{comment_id}/replies/{id}/mark_as_read"
headers = {"Authorization": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments/{comment_id}/replies/{id}/mark_as_read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Comment Replies
Mark a reply as read
Mark a reply as read.
PATCH
/
projects
/
{project_id}
/
keys
/
{key_id}
/
comments
/
{comment_id}
/
replies
/
{id}
/
mark_as_read
cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/:key_id/comments/:comment_id/replies/:id/mark_as_read" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"branch":"my-feature-branch"}' \
-H 'Content-Type: application/json'phrase replies mark_as_read \
--project_id <project_id> \
--key_id <key_id> \
--comment_id <comment_id> \
--id <id> \
--data '{"branch":"my-feature-branch"]}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments/{comment_id}/replies/{id}/mark_as_read"
headers = {"Authorization": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments/{comment_id}/replies/{id}/mark_as_read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Translation Key ID
Comment ID
ID
Query Parameters
specify the branch to use
Response
The resource was deleted successfully.
Was this page helpful?
⌘I